/*
 *  Person.h
 *  CppTutorial
 *
 *  Simple example of how to write a class in C++
 *  This class models a person that simply holds a name and
 *  is able to saySomething
 *
 */

#ifndef __PERSON_H
#define __PERSON_H

#include <string>

using std::string;

class Person {
	
	public:
	
		Person(); //default constructor
		Person(const string& name); //Constructor
		virtual ~Person(); //Destructor (NOTE the virtual!)
		
		const string& getName() const; //Getter (NOTE the trailing const)
		void setName(const std::string& name); //Setter

		//Returns a string with some message
		//We intend to override this in subclasses
		virtual string saySomething() const; 
		
	private:
	
		string _name;

}; //<- don't forget the ";" !!!

#endif //__PERSON_H