/*
 *  const_correctness.cpp
 *  CppTutorial
 *
 *  Shows the different meanings of const.
 *
 */

#include <string>

#include <iostream>

using std::string;
using std::cout;
using std::endl;

int main(int argc, char* argv[]) {
	
	//A non-mutable string
	const string fooA("Can't be modified.");
	
	//A pointer to a non-mutable string
	const string * fooPtrA = &fooA; 
	
	//A non-mutable pointer to a non-mutable string
	const string * const fooPtrB = &fooA;
	
	//Same as fooPtrB
	string const * const fooPtrC = &fooA;
	
	//A reference to a non-mutable string
	const string& fooRef = fooA;
	
	//Print the original string
	cout << fooA << endl;
	cout << *fooPtrA << endl;
	cout << *fooPtrB << endl;
	cout << *fooPtrC << endl;
	cout << fooRef << endl;
	
	return EXIT_SUCCESS;
}


