/*
 *  cpp_intro.hpp
 *  CppTutorial
 *
 *  Example showing basic C++ syntax.
 *
 *  This is NOT best practice. Avoid function definitions in 
 *  header files. This was done for illustrative purposes only
 *  so that we can see better what happens after the preprocessor
 *  has finished its work.
 *
 *  Remember: due to the preprocessor stage, 
 *  the programmer and the compiler basically see different things!
 *
 */


// don't forget the header guards!
#ifndef _CPP_INTRO_HPP_
#define _CPP_INTRO_HPP_

// include the system header file iostream for std::cout and std::endl
// the "<" and ">" around the filename mean, that the compiler, or
// more exactly the preprocessor, will look for the file in the 
// include path
#include <iostream> 


void say_hello(void) {

  // std::cout prints to the console
  // std::endl makes the following output print to a new line
  std::cout << "Hello CG2LU!" << std::endl;
}

#endif //#ifndef _CPP_INTRO_HPP_
