/*
 *  global_scope.cpp
 *  CppTutorial
 *
 *  Example showing global variables and global functions.
 *  This is NOT best practice. Avoid global variables where possible
 *  and put global functions into namespaces.
 *
 */

#include <iostream>

//Variable at global scope
int g_GlobalFoo = 0;

//Function at global scope
int multiply(int one, int two) {
	return one*two;
}

//Print out global variable
void printGlobalFoo() {
	std::cout << "Global Foo: " << g_GlobalFoo << std::endl;
}

int main(int argc, char* argv[]) {

	int foo = 2;
	int baz = 4;	

	//This is going to change variable globally, as printed out in printGlobalFoo
	g_GlobalFoo = multiply(foo, baz);
	
	//will print "8"
	printGlobalFoo();
	
	return EXIT_SUCCESS;
}
