/*
 *  operators_address_of_indirection.cpp
 *  CppTutorial
 *
 *  Example showing basic usage of the structure data type.
 *
 */


#include <iostream>

int main(int argc, char *argv[])
{
  int var = 3;
  int *ptr = NULL;

  // Address-of (reference)
  ptr = &var; 
  // => make "ptr" point to "var"

  // Indirection (dereference)
  int tmp = *ptr;
  // => access var~s value through the 
  //    pointer ~ptr~, which points to it

  std::cout << "var = " << var << std::endl;
  std::cout << "&var = " << &var << std::endl;
  std::cout << "\n";

  std::cout << "ptr = " << ptr << std::endl; // points to
  std::cout << "&ptr = " << &ptr << std::endl; // is stored at
  std::cout << "*ptr = " << *ptr << std::endl; // value of cell, it points of
  std::cout << "\n";

  std::cout << "tmp = " << tmp << std::endl;
  std::cout << "\n";

  return EXIT_SUCCESS;

} //main()
