/*
 *  operators_member.cpp
 *  CppTutorial
 *
 *  Example showing basic usage of the structure data type.
 *
 */


#include <iostream>

int main(int argc, char *argv[])
{
  using std::cout;
  using std::endl;

  struct coord2D 
  {
    float x, y;
  };

  coord2D someCoord = {3.0f, -4.0f}; //declaration and initialization
  coord2D *someCoord_ptr = &someCoord;

  // Member
  cout << "someCoord.y = " << someCoord.y << endl;

  // Member by pointer ...
  cout << "someCoord_ptr->x = " << someCoord_ptr->x << endl;
  cout << "someCoord_ptr->y = " << someCoord_ptr->y << endl;

  // ... is actually just syntactic sugar for:
  cout << "(*someCoord_ptr).x = " << (*someCoord_ptr).x << endl;
  cout << "(*someCoord_ptr).y = " << (*someCoord_ptr).y << endl;


  return EXIT_SUCCESS;

} //main()
