/*
 *  operators_member.cpp
 *  CppTutorial
 *
 *  Example showing basic usage of the structure data type.
 *
 */


#include <iostream>


int var = 1; // global (file) scope

namespace scope_1 
{
  int var = 2; // specific namespace
} // no ";" necessary

void foo(void) 
{
  using std::cout;
  using std::endl;

  int var = 3; // (function-) local scope

  // Scope resolution
  // local scope => prints "3"
  cout << "var = " << var << endl;
  // global scope => prints "1"
  cout << "::var = " << ::var << endl;
  // named scope => prints "2"
  cout << "scope_1::var = " << scope_1::var << endl;
}


int main(int argc, char *argv[])
{
  foo();

  return EXIT_SUCCESS;

} //main()
