/*
 *  AmnesicStudent.cpp
 *  CppTutorialPart2
 *
 */

#include "AmnesicStudent.h"

AmnesicStudent::AmnesicStudent(const std::string& name, long matNumber)
	: DeepPerson(name), _matNumber(matNumber)
{
}

AmnesicStudent::~AmnesicStudent() {
}

//Oops! What happens with our base class DeepPerson?!
//In fact this code uses the default constructot of DeepPerson and thus
//does NOT COPY the Person-members from rhs as expected!!!
AmnesicStudent::AmnesicStudent(const AmnesicStudent& rhs) : _matNumber(rhs.getMatNumber()) {

}

AmnesicStudent& AmnesicStudent::operator=(const AmnesicStudent& rhs) {

	if (this == &rhs)
		return (*this);
		
	_matNumber = rhs.getMatNumber();
	
	//Ooops: Now who is going to copy the members of our base class DeepPerson??
	
	return (*this);
	
}

long AmnesicStudent::getMatNumber() const {
	return _matNumber;
}

string AmnesicStudent::saySomething() const {

	return ("My name is " + getName() + " and I am student no. " + LongToString(_matNumber) + ".");

}