/*
 *  HealthyStudent.cpp
 *  CppTutorialPart2
 */

#include "HealthyStudent.h"

HealthyStudent::HealthyStudent(const std::string& name, long matNumber)
	: DeepPerson(name), _matNumber(matNumber)
{
}

HealthyStudent::~HealthyStudent() {
}

//Note how we have to first initialize DeepPerson (base classes first in 
//initializer list, remember?)
HealthyStudent::HealthyStudent(const HealthyStudent& rhs) : DeepPerson(rhs), _matNumber(rhs.getMatNumber())
{
}

HealthyStudent& HealthyStudent::operator=(const HealthyStudent& rhs) {

	if (this == &rhs)
		return (*this);
	
	//We also have to call the copy operator of our base class
	//or else the name won't get copied properly
	DeepPerson::operator=(rhs);
	
	_matNumber = rhs.getMatNumber();
	
	return (*this);	
}

//returns "matrikel-number"
long HealthyStudent::getMatNumber() const {
	return _matNumber;
}

string HealthyStudent::saySomething() const {

	return ("My name is " + getName() + " and I am student no. " + LongToString(_matNumber) + ".");

}