/*
 *  HealthyStudent.h
 *  CppTutorialPart2
 *
 *  This is student-class subclassing DeepPerson and PROPERLY implementing
 *  Copy Constructor and assignment operator.
 *
 */

#ifndef __HEALTHY_STUDENT_H
#define __HEALTHY_STUDENT_H

#include "DeepPerson.h"

class HealthyStudent : public DeepPerson {

	public:
	
		HealthyStudent(const std::string& name, long matNumber);
		virtual ~HealthyStudent();
		
		HealthyStudent(const HealthyStudent& rhs); //Copy Constructor
		HealthyStudent& operator=(const HealthyStudent& rhs); //Copy Assignment Operator
		
		//returns "matrikel-number"
		long getMatNumber() const;
		
		//overrides Person's saysomething
		virtual string saySomething() const;
	
	private:

		long _matNumber;
	
};

#endif //__HEALTHY_STUDENT_H