/*
 *  Student.cpp
 *  CppTutorial
 *
 */

#include "Student.h"

//Note that you have to initialize _matNumber in the initializer
//list as _matNumber is a const member.
Student::Student(const std::string& name, long matNumber)
	: Person(name), _matNumber(matNumber)
{
	//Constructions happens in the following order:
	//	Superclasses, then members in the order of declaration
	
	//No super() as in Java, but superclasses have to be initialized 
	//in initializer list!
}

Student::~Student() {
	//If we had allocated any resources, we would have deallocated them in here
}

long Student::getMatNumber() const {
	return _matNumber;
}

string Student::saySomething() const {
	//Note how you access the base classes version of saySomething
	//via Person::saySomething
	string result = Person::saySomething() \
				  + " and I am a student (nr.: " \
				  + LongToString(_matNumber) + ").";
	return result;
}
