/*
 *  Student.h
 *  CppTutorial
 *
 *  A student is a person that also holds a "Matrikel"-number and
 *  returns a customized message when asked to "saySomething".
 */

#ifndef __STUDENT_H
#define __STUDENT_H

#include "Person.h"

#include <sstream>

//Helper method to convert a long to a string
inline string LongToString(long l) {
	std::ostringstream oss;
	oss << l;
	return oss.str();
}

//public inheritance models "is-a", A student is a person.
class Student : public Person {

	public:
	
		Student(const std::string& name, long matNumber);
		virtual ~Student();
		
		//returns "matrikel-number"
		long getMatNumber() const;
		
		//overrides Person's saysomething
		virtual string saySomething() const;
	
	private:

		const long _matNumber;
	
};

#endif //__STUDENT_H