/*
 *  strings.cpp
 *  CppTutorialPart2
 *
 *  The example shows basic usage of C++ strings.
 *
 */

#include <stdio.h>

#include <iostream>
#include <string>


// C interface ... interesting if you want to 
// interface with OpenGL functions!!!
void a_C_param_func(const char *c_str)
{
  printf("C: c_str = %s\n", c_str);
  std::cout << "C++: c_str = " << c_str << std::endl;
} //a_C_param_func()



int main(int argc, char *argv[])
{
  std::string cpp_str1("str1");
  std::string cpp_str2("str2");
  std::string cpp_str;

  cpp_str = cpp_str1 + " " + cpp_str2;

  cpp_str.append(" appended");

  std::cout << "cpp_str.length() = " << cpp_str.length() << std::endl;
  std::cout << "cpp_str.size() = " << cpp_str.size() << std::endl;


  std::cout << "cpp_str = " << cpp_str << std::endl;

  a_C_param_func(cpp_str.c_str());

  return EXIT_SUCCESS;

} //main()

